### A free/open-source library for quantitative finance

Public Member Functions
SwaptionHelper Class Reference

calibration helper for ATM swaption More...

`#include <ql/models/shortrate/calibrationhelpers/swaptionhelper.hpp>`

Inheritance diagram for SwaptionHelper:
[legend]

List of all members.

## Public Member Functions

| SwaptionHelper (const Period &maturity, const Period &length, const Handle< Quote > &volatility, const boost::shared_ptr< IborIndex > &index, const Period &fixedLegTenor, const DayCounter &fixedLegDayCounter, const DayCounter &floatingLegDayCounter, const Handle< YieldTermStructure > &termStructure, CalibrationHelper::CalibrationErrorType errorType=CalibrationHelper::RelativePriceError)
virtual void | addTimesTo (std::list< Time > &times) const
virtual Real | modelValue () const
| returns the price of the instrument according to the model
virtual Real | blackPrice (Volatility volatility) const
| Black price given a volatility.

## Detailed Description

calibration helper for ATM swaption

Bug:
  This helper does not register with the passed IBOR index and with the evaluation date. Furthermore, the ATM exercise rate is not recalculated when any of its observables change.

Examples:
  BermudanSwaption.cpp.